<?php
/*
Copyright: © 2009 WebSharks, Inc. ( coded in the USA )
<mailto:support@websharks-inc.com> <http://www.websharks-inc.com/>

Released under the terms of the GNU General Public License.
You should have received a copy of the GNU General Public License,
along with this software. In the main directory, see: /licensing/
If not, see: <http://www.gnu.org/licenses/>.
*/
/*
Direct access denial.
*/
if (realpath (__FILE__) === realpath ($_SERVER["SCRIPT_FILENAME"]))
	exit ("Do not access this file directly.");
/**/
if (!class_exists ("c_ws_plugin__wp_show_ids_columns"))
	{
		class c_ws_plugin__wp_show_ids_columns
			{
				/*
				Configure all of the required Hooks/Filters for columns & css.
				Attach to: add_action("admin_init");
				*/
				public static function configure ()
					{
						global $wp_post_types, $wp_taxonomies; /* Grab global references. */
						/**/
						do_action ("ws_plugin__wp_show_ids_before_configure", get_defined_vars ());
						/**/
						add_action ("admin_head", "c_ws_plugin__wp_show_ids_handlers::echo_css");
						/**/
						add_filter ("manage_edit-post_columns", "c_ws_plugin__wp_show_ids_handlers::return_column");
						add_action ("manage_posts_custom_column", "c_ws_plugin__wp_show_ids_handlers::echo_value", 10, 2);
						/**/
						add_filter ("manage_edit-comments_columns", "c_ws_plugin__wp_show_ids_handlers::return_column");
						add_action ("manage_comments_custom_column", "c_ws_plugin__wp_show_ids_handlers::echo_value", 10, 2);
						/**/
						add_filter ("manage_edit-page_columns", "c_ws_plugin__wp_show_ids_handlers::return_column");
						add_action ("manage_pages_custom_column", "c_ws_plugin__wp_show_ids_handlers::echo_value", 10, 2);
						/**/
						add_filter ("manage_link-manager_columns", "c_ws_plugin__wp_show_ids_handlers::return_column");
						add_action ("manage_link_custom_column", "c_ws_plugin__wp_show_ids_handlers::echo_value", 10, 2);
						/**/
						add_filter ("manage_edit-link-categories_columns", "c_ws_plugin__wp_show_ids_handlers::return_column");
						add_filter ("manage_link_categories_custom_column", "c_ws_plugin__wp_show_ids_handlers::return_value", 10, 3);
						/**/
						add_filter ("manage_upload_columns", "c_ws_plugin__wp_show_ids_handlers::return_column");
						add_action ("manage_media_custom_column", "c_ws_plugin__wp_show_ids_handlers::echo_value", 10, 2);
						/**/
						add_filter ("manage_users_columns", "c_ws_plugin__wp_show_ids_handlers::return_column");
						add_filter ("manage_users_custom_column", "c_ws_plugin__wp_show_ids_handlers::return_value", 10, 3);
						/**/
						if (is_array ($wp_post_types))
							foreach ($wp_post_types as $type => $post_type_object) /* Handle WP 3.0+ Post Types. */
								{
									add_action ("manage_edit-${type}_columns", "c_ws_plugin__wp_show_ids_handlers::return_column");
									add_filter ("manage_${type}_custom_column", "c_ws_plugin__wp_show_ids_handlers::return_value", 10, 3);
								}
						/**/
						if (is_array ($wp_taxonomies))
							foreach ($wp_taxonomies as $taxonomy => $taxonomy_o) /* Handle WP 3.0+ Taxonomies. */
								{
									add_action ("manage_edit-${taxonomy}_columns", "c_ws_plugin__wp_show_ids_handlers::return_column");
									add_filter ("manage_${taxonomy}_custom_column", "c_ws_plugin__wp_show_ids_handlers::return_value", 10, 3);
								}
						/**/
						do_action ("ws_plugin__wp_show_ids_after_configure", get_defined_vars ());
						/**/
						return; /* Return for uniformity. */
					}
			}
	}
?>